Get pages modified between two dates.

Returns the page metadata for pages modified between the specified last modified date range in the site specified by site-id.

User roles: admin, manager, editor, viewer

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

The ID of the site.

Query Params
date-time

Provide the date and time of when the last modifications were made to the page items that you want returned. The page items that are modified on or after this date and time are returned. The date value must be in the ISO 8601 format YYYY-MM-DD T hh:mm:ss:sssZ.

date-time

Provide the date and time of when the last modifications were made to the page items that you want returned. The page items that are modified on or before this date and time are returned. The date value must be in the ISO 8601 format YYYY-MM-DD T hh:mm:ss:sssZ.

string of strings

Reduce the returned page metadata down to just the specified fields in the returned page hierarchy. Fields specified by a comma seperated list of field names and should only be used once in query string. To only retrieve rev and lastModified this parameter should look like fields=rev,lastModified.

string

Specify whether you want the page items to be returned in ascending or descending order.
Documents are returned in ascending order by default.
Supported order values are 'asc', 'ascending', 'desc' and 'descending'
e.g. /sites/dummySitesId/pages/views/by-modified?order=descending returns the pages in descending order.

number

Set the limit for the maximum number of items to return in a single result. The default value is 50. Use 0 for unlimited. If offset and limit are not set, all results are returned.

number

Use the offset parameter to specify the number of items to skip from the beginning of the list and return the rest. The default value is 0. If offset and limit are not set, all results are returned.

string

Specify additional fields to include with each result. The following fields can be specified to be included in the page item: 'hierarchicalPath', 'route'.
You can specify multiple fields as a comma-separated value. For example, include=hierarchicalPath,route.
The hierarchicalPath field is a concatenation of each ancestor page name field and the route field is a concatenation of each ancestor page segment field.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json